MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
DatabaseGlue.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for DatabaseGlue.hxx:

Go to the source code of this file.

## Functions
Database * | DatabaseGlobalInit (EventLoop &loop, DatabaseListener &listener, const ConfigBlock &block)
| Initialize the database library. More...

## Function Documentation

Database* DatabaseGlobalInit | ( | EventLoop & | loop,
|  | DatabaseListener & | listener,
|  | const ConfigBlock & | block
| ) |  |

Initialize the database library.

Throws #std::runtime_error on error.

Parameters

  block | the database configuration block